Update driver app settings.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Driver App Settings under the Drivers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/fleet/settings/driver-app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverFleetId": "abc-trucking-co",
"gamification": false,
"gamificationConfig": {
"anonymizeDriverNames": true
},
"orgVehicleSearch": true,
"trailerSelection": false,
"trailerSelectionConfig": {
"driverTrailerCreationEnabled": false,
"maxNumOfTrailersSelected": 7,
"orgTrailerSearch": false
}
}
'{
"data": {
"driverFleetId": "abc_trucking_co",
"gamification": false,
"gamificationConfig": {
"anonymizeDriverNames": false
},
"orgVehicleSearch": false,
"trailerSelection": true,
"trailerSelectionConfig": {
"driverTrailerCreationEnabled": true,
"maxNumOfTrailersSelected": 7,
"orgTrailerSearch": false
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The configuration settings for the Samsara Driver App. Can be set or updated through the Samsara Settings page or the API at any time.
Global login user name for the fleet driver app
^[a-zA-Z0-9-:]*$"abc-trucking-co"
Driver gamification feature. Enabling this will turn on the feature for all drivers using the mobile app. Drivers can be configured into peer groups within the Drivers Page. Unconfigured drivers will be grouped on an organization level.
false
Gamification configuration for the Driver App.
Show child attributes
Allow drivers to search for vehicles outside of their selection tag when connected to the internet.
true
Allow drivers to see and select trailers in the Samsara Driver app.
false
Trailer selection setting configuration for the Driver App.
Show child attributes
OK response.
The configuration settings for the Samsara Driver App. Can be set or updated through the Samsara Settings page or the API at any time.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/fleet/settings/driver-app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverFleetId": "abc-trucking-co",
"gamification": false,
"gamificationConfig": {
"anonymizeDriverNames": true
},
"orgVehicleSearch": true,
"trailerSelection": false,
"trailerSelectionConfig": {
"driverTrailerCreationEnabled": false,
"maxNumOfTrailersSelected": 7,
"orgTrailerSearch": false
}
}
'{
"data": {
"driverFleetId": "abc_trucking_co",
"gamification": false,
"gamificationConfig": {
"anonymizeDriverNames": false
},
"orgVehicleSearch": false,
"trailerSelection": true,
"trailerSelectionConfig": {
"driverTrailerCreationEnabled": true,
"maxNumOfTrailersSelected": 7,
"orgTrailerSearch": false
}
}
}